import { PropType } from "vue";
import { InputTypeProps, TextAlignPropType } from "./types";
declare const _default: import("vue").DefineComponent<{
    width: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    height: {
        default: string;
        type: StringConstructor;
    };
    modelValue: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    type: {
        default: string;
        type: InputTypeProps;
    };
    /**文本对齐方式，仅限于type 不为 textarea 时使用*/
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**输入框行数，仅 type 为 'textarea' 时有效 */
    rows: {
        type: NumberConstructor;
        default: number;
    };
    style: PropType<import("vue").StyleValue | undefined>;
    /**最大输入长度 */
    maxLength: NumberConstructor;
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义前缀 */
            prefix?(): any;
            /**自定义拓展 */
            extend?(): any;
        }>;
    };
    /**输入框头部图标 */
    prefixIcon: PropType<"loading" | "search" | "home" | "options" | "thick-arrow-bottom" | "thick-arrow-right" | "thick-arrow-top" | "thick-arrow-left" | "succeed-circle-outline" | "error-circle-outline" | "sub" | "add" | "edit" | "help-circle-outline" | "arrow-left-top" | "arrow-top" | "arrow-right-top" | "arrow-bottom" | "arrow-right-bottom" | "arrow-prev" | "arrow-next" | "arrow-left-bottom" | "close" | "close-circle" | "alert-circle" | "checkmark-circle" | "information-circle" | "double-arrow-left" | "double-arrow-right" | "double-arrow-down" | "double-arrow-up" | "arrow-up" | "arrow-down" | "arrow-right" | "arrow-left">;
    /**可清空 */
    clearable: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**等同原生input pattern */
    pattern: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": null;
    change: (v: string | number) => true;
    blur: (event: FocusEvent) => true;
    focus: (event: FocusEvent) => true;
    keydown: (event: KeyboardEvent) => true;
    input: (event: InputEvent) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    height: {
        default: string;
        type: StringConstructor;
    };
    modelValue: {
        default: string;
        type: (StringConstructor | NumberConstructor)[];
    };
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    type: {
        default: string;
        type: InputTypeProps;
    };
    /**文本对齐方式，仅限于type 不为 textarea 时使用*/
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**输入框行数，仅 type 为 'textarea' 时有效 */
    rows: {
        type: NumberConstructor;
        default: number;
    };
    style: PropType<import("vue").StyleValue | undefined>;
    /**最大输入长度 */
    maxLength: NumberConstructor;
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义前缀 */
            prefix?(): any;
            /**自定义拓展 */
            extend?(): any;
        }>;
    };
    /**输入框头部图标 */
    prefixIcon: PropType<"loading" | "search" | "home" | "options" | "thick-arrow-bottom" | "thick-arrow-right" | "thick-arrow-top" | "thick-arrow-left" | "succeed-circle-outline" | "error-circle-outline" | "sub" | "add" | "edit" | "help-circle-outline" | "arrow-left-top" | "arrow-top" | "arrow-right-top" | "arrow-bottom" | "arrow-right-bottom" | "arrow-prev" | "arrow-next" | "arrow-left-bottom" | "close" | "close-circle" | "alert-circle" | "checkmark-circle" | "information-circle" | "double-arrow-left" | "double-arrow-right" | "double-arrow-down" | "double-arrow-up" | "arrow-up" | "arrow-down" | "arrow-right" | "arrow-left">;
    /**可清空 */
    clearable: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**等同原生input pattern */
    pattern: StringConstructor;
}>> & {
    onFocus?: ((event: FocusEvent) => any) | undefined;
    onBlur?: ((event: FocusEvent) => any) | undefined;
    onChange?: ((v: string | number) => any) | undefined;
    onInput?: ((event: InputEvent) => any) | undefined;
    onKeydown?: ((event: KeyboardEvent) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    width: string | number;
    type: "" | "number" | "text" | "tel" | "url" | "email" | "date" | "password" | "textarea";
    placeholder: string;
    height: string;
    modelValue: string | number;
    disabled: boolean;
    textAlign: import("../types").AlignType;
    rows: number;
    clearable: boolean;
}, {}>;
export default _default;
