import { ComputedRef, HTMLAttributes, Ref } from "vue";
import { ExpandRender, SortConfig, TableComponent, TableComponentInner, WidthCssUnit } from "./types";
export declare const prefixCls = "fry-table";
interface ColumnClassConfig {
    border?: boolean;
    fixedDirection?: string;
}
export declare function setColumnClass(column: TableComponent.Columns<any>, { border }?: ColumnClassConfig): any[];
export declare const DefaultSortConfig: SortConfig;
export declare enum TableInstanceEnum {
    table = "FryTableInstance"
}
type SelectionDataIndexs = boolean[];
export interface HandelOther {
    indexs: Array<number>;
    dataIndex: number;
    dataIndexs: Array<number>;
}
export interface TableInstance {
    /**是否全部选中 */
    selectionValue: Ref<boolean>;
    /**选中的props的index */
    selectionDataIndexs: Ref<SelectionDataIndexs>;
    /**有选中和未选中得列 */
    selectionIndeterminate: ComputedRef<boolean>;
    RowClick(row: any, index: number, other: HandelOther): void;
    RowDblClick(row: any, index: number, other: HandelOther): void;
    /**树形表格每行的class */
    treeClassName: HTMLAttributes["class"];
    rowClassName?: ((row: any, index: number, other: HandelOther) => HTMLAttributes["class"]) | string | Array<any> | object;
    KeyIndex: number;
    widthCssUnit: WidthCssUnit;
    isScrollLeftMost: Ref<boolean>;
    isScrollRightMost: Ref<boolean>;
    remFontSize?: number;
    expandRender?: ExpandRender;
    expandClass?: HTMLAttributes["class"];
    ExpandStyle?: ComputedRef<HTMLAttributes["style"]>;
}
export declare const DefaultColWidth = 80;
export declare function GetFixedDirection(fixed: TableComponent.Columns<{}>["fixed"]): "right" | "left" | undefined;
export declare function GetFixedConfig(columns: TableComponentInner.Columns[], index: number): {
    classes: {
        [x: string]: boolean;
    }[];
    styleses: import("vue").StyleValue[];
};
export declare function SetColWidth(width: number, widthCssUnit: WidthCssUnit, fontSize?: number): string;
export {};
