import { PropType } from "vue";
import { propcolumns, propdata, propExpandRender, TabelData, TableEmitsLoad, TableComponent, WidthCssUnit } from "./propTypes";
import { ScrollInfo } from "../scrollBar";
declare const _default: import("vue").DefineComponent<{
    columns: {
        type: propcolumns;
        default(): never[];
    };
    data: {
        type: propdata;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**columns 里宽度的css单位，会自动转成相应单位的值,宽度是不变的，若是移动端需要固定rem，则设置remFontSize */
    widthCssUnit: {
        default: string;
        type: PropType<WidthCssUnit>;
    };
    /**rem的根文件大小，widthCssUnit设置为rem时通过该值来计算rem，否则自动以根元素计算 */
    remFontSize: NumberConstructor;
    /**拓展列渲染内容 */
    expandRender: propExpandRender;
    /**拓展列class */
    expandClass: any;
    /**拓展列style */
    expandStyle: PropType<import("vue").StyleValue | undefined>;
    /**树形表格每行的class */
    treeClassName: any;
    /**loading 状态 */
    loading: BooleanConstructor;
    rowClassName: PropType<string | object | any[] | ((row: any, index: number, other: import("./default").HandelOther) => any) | undefined>;
    width: {
        type: (StringConstructor | NumberConstructor)[];
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    /**数字为空时的文字 */
    emptyText: StringConstructor;
    style: PropType<import("vue").StyleValue | undefined>;
    "v-slots": {
        type: PropType<{
            /**页脚 */
            footer?(): any;
        }>;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    selectionChange: (data: TabelData) => null;
    load: (param: TableEmitsLoad) => true;
    rowClick: (row: any, index: number) => true;
    rowDblClick: (row: any, index: number) => true;
    scroll: (info: ScrollInfo) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    columns: {
        type: propcolumns;
        default(): never[];
    };
    data: {
        type: propdata;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**columns 里宽度的css单位，会自动转成相应单位的值,宽度是不变的，若是移动端需要固定rem，则设置remFontSize */
    widthCssUnit: {
        default: string;
        type: PropType<WidthCssUnit>;
    };
    /**rem的根文件大小，widthCssUnit设置为rem时通过该值来计算rem，否则自动以根元素计算 */
    remFontSize: NumberConstructor;
    /**拓展列渲染内容 */
    expandRender: propExpandRender;
    /**拓展列class */
    expandClass: any;
    /**拓展列style */
    expandStyle: PropType<import("vue").StyleValue | undefined>;
    /**树形表格每行的class */
    treeClassName: any;
    /**loading 状态 */
    loading: BooleanConstructor;
    rowClassName: PropType<string | object | any[] | ((row: any, index: number, other: import("./default").HandelOther) => any) | undefined>;
    width: {
        type: (StringConstructor | NumberConstructor)[];
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    /**数字为空时的文字 */
    emptyText: StringConstructor;
    style: PropType<import("vue").StyleValue | undefined>;
    "v-slots": {
        type: PropType<{
            /**页脚 */
            footer?(): any;
        }>;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onLoad?: ((param: TableEmitsLoad) => any) | undefined;
    onScroll?: ((info: ScrollInfo) => any) | undefined;
    onRowClick?: ((row: any, index: number) => any) | undefined;
    onRowDblClick?: ((row: any, index: number) => any) | undefined;
    onSelectionChange?: ((data: TabelData) => any) | undefined;
}, {
    showHeader: boolean;
    columns: TableComponent.Columns<any>[];
    data: TabelData;
    border: boolean;
    widthCssUnit: WidthCssUnit;
    loading: boolean;
    expandClass: any;
    treeClassName: any;
}, {}>;
export default _default;
